< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600
  Definition Classes
    ct
-  package v3
  Definition Classes
    ct600
-  package calculations
  Definition Classes
    v3
- B325Calculator
- B586Calculator
- CorporationTaxCalculator
- LoansToParticipatorsCalculator

t

uk.gov.hmrc.ct.ct600.v3.calculations

# CorporationTaxCalculator 

###

#### trait CorporationTaxCalculator extends CtTypeConverters

Linear Supertypes
CtTypeConverters, AnyRef, Any
Known Subclasses
B280, B300, B330, B335, B340, B345, B380, B385, B390, B395, B430, B45, B474, B510, B520, B525, B528, B600, B605, E1003, E1005, E1013, E1015
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CorporationTaxCalculator
2. CtTypeConverters
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def areAmountsCarriedBackFromLaterPeriods(cp286: CP286): B280
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def calculateApportionedProfitsChargeableFy1(params: CorporationTaxCalculatorParameters): B335
7.  def calculateApportionedProfitsChargeableFy2(params: CorporationTaxCalculatorParameters): B385
8.  def calculateCorporationTax(b345: B345, b395: B395): B430
9.  def calculateCorportationTaxForNIJourney(b345: B345, b360: B360, b395: B395, b410: B410): B430
10.  def calculateIncomeTaxRepayable(b515: B515, b510: B510): B520
11.  def calculateJrbEothoOverpayments(b476: B476, b477: B477): B474
12.  def calculateNIApportionedNonTradingProfitsChargeableFy1(params: NINonTradingProfitCalculationParameters): B335
13.  def calculateNIApportionedNonTradingProfitsChargeableFy2(params: NINonTradingProfitCalculationParameters): B385
14.  def calculateProfitsChargeableToCorporationTax(b235: B235, b275: B275, b285: B285): B300
15.  def calculateSATaxPayable(b510: B510, b515: B515): B525
16.  def calculateSelfAssessmentOfTaxPayable(b525: B525, b526: B526, b527: B527): B528
17.  def calculateTaxChargeable(b475: B475, b480: B480): B510
18.  def calculateTaxForFirstFinancialYear(b335: B335, b340: B340): B345
19.  def calculateTaxForSecondFinancialYear(b385: B385, b390: B390): B395
20.  def calculateTaxOverpaid(b595: B595, b525: B525): B605
21.  def calculateTotalTaxToPay(b525: B525, b595: B595): B600
22.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
23.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
    Definition Classes
      CtTypeConverters
24.  implicit def convert(catoInt: CtOptionalInteger): Int
    Definition Classes
      CtTypeConverters
25.  implicit def convert(catoInt: CtInteger): Int
    Definition Classes
      CtTypeConverters
26.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
27.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
28.  def defaultSetIfLossCarriedForward(b45input: B45Input, cp287: CP287): B45
29.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
31.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
32.  def financialYear1(accountingPeriod: HmrcAccountingPeriod): Int
33.  def financialYear2(accountingPeriod: HmrcAccountingPeriod): Option[Int]
34.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
35.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
36.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
37.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
38.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
39.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
40.  def rateOfTaxFy1(start: StartDate): BigDecimal
41.  def rateOfTaxFy2(end: EndDate): BigDecimal
42.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
43.  def toString(): String
    Definition Classes
      AnyRef → Any
44.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
45.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
46.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from CtTypeConverters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped